// CLEAN
// LISTCLEAN

#include "resultset.h"
#include "rack.h"
#include "module.h"
#include "station.h"
#include "row.h"
#include <vector>
#include <iostream>

using namespace std;

int main(int argc,char**argv){
////////// Make Connection to database //////////
	MYSQL conn=ResultSet::makeConn("127.0.0.1","root","blah","plum_data");

	row r(conn,18,"plum_data");

	vector<rack> racks;
	racks.push_back(rack(conn,"MSG"));
	r.addcombo(racks);
	r.calc();
	r.dump(cout);
}
